package com.ho.business.service;

import com.ho.business.entity.StationSn;
import com.ho.business.vo.req.StationPutReqVO;

import java.util.List;

/**
 * @Description 电站sn编码业务层
 * Author yule
 * Date 2023/2/16 11:07
 */
public interface StationSnService {
    /**
     * 新增sn数据
     * @param id 电站id
     * @param snList sn编码集合
     */
    void addSnList(Integer id, List<String> snList);

    /**
     * 根据电站id删除sn编码数据
     * @param ids(电站集合)
     */
    void deleteByStationIds(List<Integer> ids);

    /**
     * 根据电站id查询sn编码对象
     * @param id 电站id
     * @return
     */
    List<StationSn> getSnListByStationId(Integer id);

    /**
     * 根据sn编码查询sn对象
     * @param sn
     * @return
     */
    StationSn selectBySn(String sn);

    /**
     * 根据sn编码集合查询sn集合对象
     * @param snList
     * @return
     */
    List<StationSn> selectBySnList(List<String> snList);

    /**
     * 根据电站id集合更新sn表数据
     * @param stationIds
     */
    void update(List<Integer> stationIds, StationPutReqVO vo);

    /**
     * 根据电站id查询sn集合
     * @param stationIds
     * @return
     */
    List<StationSn> selectByStationIds(List<Integer> stationIds);

    /**
     * 根据电站id查询sn
     * @param stationId
     * @return
     */
    List<StationSn> selectByStationId(Integer stationId);
}
